open Arguments

fun realmain pgm =
    if !print_token then print_newline() ;
    print_endline "Parsing Completed" ;
    Verilog_ast.print pgm

fun main() =
    Arg.parse speclist anonfun usage_msg ;
    if !filename = "" then ( Arg.usage speclist usage_msg ; exit 2 ) ;
    let
	val in_channel = open_in !filename
	val lexbuf = Lexing.from_channel in_channel
	val pgm = Verilog_parser.main Verilog_lexer.main lexbuf
    in
	close_in in_channel ;
	realmain pgm
    end

val _ = main()

(* vim: set ts=8 sw=4 sts=4 smarttab: *)
