structure Arguments =
struct
    val print_token = ref false
    val filename = ref ""

    val speclist = [
	("--printtoken", Arg.Set print_token, "Print lexing tokens")
    ]

    fun anonfun str =
	if Sys.file_exists str then
	    if Filename.check_suffix str ".v"
		then filename := str
	    else raise Arg.Bad("'"^str^"' is not a verilog file.")
	else raise Arg.Bad("'"^str^"' does not exist")

    val usage_msg = "Usage : ./v_parser [option(s)] filename"
end

(* vim: set ts=8 sw=4 sts=4 smarttab: *)
